## org.apache.xerces.impl.xs.psvi
Interface XSAttributeDeclaration

All Superinterfaces:
  XSObject

All Known Implementing Classes:
  XSAttributeDecl

public interface XSAttributeDeclaration
extends XSObject

The interfaces represents the Attribute Declaration schema component. The interface may be updated or replaced.

Method Summary
`XSAnnotation` `getAnnotation()` Optional.
`short` `getConstraintType()` Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.
`java.lang.String` `getConstraintValue()` Value constraint: The actual value with respect to the [type definition ].
`XSComplexTypeDefinition` `getEnclosingCTDefinition()` The complex type definition for locally scoped declarations (see `scope`).
`short` `getScope()` Optional.
`XSSimpleTypeDefinition` `getTypeDefinition()` [type definition]: A simple type definition

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getTypeDefinition

    public XSSimpleTypeDefinition getTypeDefinition()

  [type definition]: A simple type definition

### getScope

    public short getScope()

  Optional. One of `SCOPE_GLOBAL`, `SCOPE_LOCAL`, or `SCOPE_ABSENT`. If the scope is local, then the `enclosingCTDefinition` is present.

### getEnclosingCTDefinition

    public XSComplexTypeDefinition getEnclosingCTDefinition()

  The complex type definition for locally scoped declarations (see `scope`).

### getConstraintType

    public short getConstraintType()

  Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.

### getConstraintValue

    public java.lang.String getConstraintValue()

  Value constraint: The actual value with respect to the [type definition ].

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. Annotation.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.